function::speculation
Prev | Chapter 32. Speculation | Next

## Name

function::speculation — Allocate a new id for speculative output

## Synopsis

        speculation:long()

## Arguments

None

## Description

The `speculation` function is called when a new speculation buffer is needed. It returns an id for the speculative output. There can be multiple threads being speculated on concurrently. This id is used by other speculation functions to keep the threads separate.

Prev | Up | Next
function::speculate | Home | Chapter 33. JSON Tapset